<mat-toolbar>
  <button mat-raised-button color="accent" class="example-icon" (click)="previous()" [disabled]="page === 0">
    <mat-icon>navigate_before</mat-icon>
    Previous
  </button>
  <button mat-raised-button color="accent" class="example-icon" (click)="next()">
    Next
    <mat-icon>navigate_next</mat-icon>
  </button>

  <span class="example-spacer"></span>

  <mat-chip-list>
    <mat-chip color="accent" selected>
      Page {{ page + 1 }}
    </mat-chip>
  </mat-chip-list>

  <mat-form-field>
    <input matInput type="number" min="3" max="50" placeholder="Per page" (change)="updateLimit()" [(ngModel)]="limit">
  </mat-form-field>

</mat-toolbar>
<mat-grid-list cols="4" rowHeight="50vh">
  <mat-grid-tile colspan="1" *ngFor="let pokemon of pokemons">
    <app-pokemon-view [data]="pokemon"></app-pokemon-view>
  </mat-grid-tile>
</mat-grid-list>
